# Uses of Interface
org.eclipse.ecf.discovery.IServiceProperties

Packages that use IServiceProperties
Package
Description
org.eclipse.ecf.discovery
org.eclipse.ecf.osgi.services.remoteserviceadmin

## Uses of IServiceProperties in org.eclipse.ecf.discovery

Classes in org.eclipse.ecf.discovery that implement IServiceProperties
Modifier and Type
Class
Description
`class`
`ServiceProperties`
Service properties implementation class for `IServiceProperties`.
Fields in org.eclipse.ecf.discovery declared as IServiceProperties
Modifier and Type
Field
Description
`protected IServiceProperties`
ServiceInfo.`properties`
Methods in org.eclipse.ecf.discovery that return IServiceProperties
Modifier and Type
Method
Description
`IServiceProperties`
IServiceInfo.`getServiceProperties()`
Map with any/all properties associated with the service.
`IServiceProperties`
ServiceInfo.`getServiceProperties()`
Constructors in org.eclipse.ecf.discovery with parameters of type IServiceProperties
Modifier
Constructor
Description
``
`ServiceInfo(URI anURI, String aServiceName, IServiceTypeID aServiceTypeID, int priority, int weight, IServiceProperties props)`
Create an IServiceInfo instance.
``
`ServiceInfo(URI anURI, String aServiceName, IServiceTypeID aServiceTypeID, int priority, int weight, IServiceProperties props, long ttl)`
Create an IServiceInfo instance.
``
`ServiceInfo(URI anURI, String aServiceName, IServiceTypeID aServiceTypeID, IServiceProperties props)`
Create an IServiceInfo instance.
``
`ServiceProperties(IServiceProperties sp)`
Creates a copy of the given `IServiceProperties`

## Uses of IServiceProperties in org.eclipse.ecf.osgi.services.remoteserviceadmin

Methods in org.eclipse.ecf.osgi.services.remoteserviceadmin that return IServiceProperties
Modifier and Type
Method
Description
`protected IServiceProperties`
ServiceInfoFactory.`createServiceProperties(EndpointDescription endpointDescription, IDiscoveryAdvertiser advertiser, IServiceTypeID serviceTypeID, String serviceName, URI uri)`
Methods in org.eclipse.ecf.osgi.services.remoteserviceadmin with parameters of type IServiceProperties
Modifier and Type
Method
Description
`protected IServiceInfo`
ServiceInfoFactory.`createServiceInfo(URI uri, String serviceName, IServiceTypeID serviceTypeID, IServiceProperties serviceProperties)`
`protected EndpointDescription`
AbstractMetadataFactory.`decodeEndpointDescription(IServiceProperties discoveredServiceProperties)`
`protected List<String>`
AbstractMetadataFactory.`decodeList(IServiceProperties props, String name)`
`protected Long`
AbstractMetadataFactory.`decodeLong(IServiceProperties props, String name)`
`protected void`
AbstractMetadataFactory.`decodeNonStandardServiceProperties(IServiceProperties props, Map<String,Object> result)`
`protected void`
AbstractMetadataFactory.`decodeOSGiProperties(IServiceProperties props, Map osgiProperties)`
`protected String`
AbstractMetadataFactory.`decodeString(IServiceProperties props, String name)`
`protected void`
AbstractMetadataFactory.`encodeList(IServiceProperties props, String name, List<String> list)`
`protected void`
AbstractMetadataFactory.`encodeLong(IServiceProperties result, String name, Long value)`
`protected void`
AbstractMetadataFactory.`encodeNonStandardServiceProperties(Map<String,Object> properties, IServiceProperties result)`
`protected void`
AbstractMetadataFactory.`encodeOSGiServiceProperties(EndpointDescription endpointDescription, IServiceProperties result)`
`protected void`
AbstractMetadataFactory.`encodeServiceProperties(EndpointDescription endpointDescription, IServiceProperties result)`
`protected void`
AbstractMetadataFactory.`encodeString(IServiceProperties props, String name, String value)`